PKG-BACKUP(8)

NAME
pkg backup - backup and restore the local package database

SYNOPSIS
pkg backup -d dest_file
pkg backup -r src_file

DESCRIPTION
pkg backup is used for backing up and restoring of the local package database.

OPTIONS
The following options are supported by pkg backup:

-d dest_file
    Dumps the local package database to a file specified on the command-line. If - is specified as the argument pkg backup will use stdout for its output.

-r src_file
    Uses file in order to restore the local package database. Useful in case of a database crash of lost to restore your database from previously made backup.

ENVIRONMENT
The following environment variables affect the execution of pkg backup. See pkg.conf(5) for further description.

PKG_DBDIR

FILES
See pkg.conf(5).

SEE ALSO
pkg.conf(5), pkg(8), pkg-add(8), pkg-annotate(8), pkg-audit(8), pkg-autoremove(8), pkg-check(8), pkg-clean(8), pkg-convert(8), pkg-create(8), pkg-delete(8), pkg-fetch(8), pkg-info(8), pkg-install(8), pkg-lock(8), pkg-query(8), pkg-register(8), pkg-repo(8), pkg-rquery(8), pkg-search(8), pkg-set(8), pkg-shell(8), pkg-shlib(8), pkg-stats(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8), pkg-which(8)